## jruby 9.1.13.0

=== debian/changelog ===
jruby (9.1.13.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 15 Oct 2017 12:30:44 +0100

jruby (9.1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with Java 9. (Closes: #875588)
  * Bump Standards-Version to 4.1.1. No changes were required.
  * Refresh patches:
    - d/p/0004-Add-missing-maven-artifacts-pom-files.patch
    - d/p/0008-Configure-unit-tests-to-run-at-build-time.patch

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 04 Oct 2017 19:52:57 +0100

jruby (9.1.8.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Modify B-D on libmaven-assembly-plugin-java to use version available
    in stretch.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 24 Sep 2017 18:12:26 +0100

jruby (9.1.8.0-3) unstable; urgency=medium

  * Fix dependencies on ruby-psych and add dependencies on libpsych-java.
  * Update versioned dependency on maven-assembly-plugin.
  * Refresh patches:
    - d/p/0004-Add-missing-maven-artifacts-pom-files.patch

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 17 Sep 2017 16:01:51 +0100

jruby (9.1.8.0-2) unstable; urgency=medium

  * Fix FTBFS caused by an unresolved dependency on an outdated version
    of libmaven-assembly-plugin-java.
  * Break dependency loop by temporarily demoting dependency on ruby-psych
    to Suggests. (Closes: #869486).

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 28 Jul 2017 18:36:45 +0100

jruby (9.1.8.0-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #867652).
  * Prevent FTBFS errors caused by maven-bundle-plugin incompatibility with
    jar files shipping module definition files. The following patch was
    introduced as temporary workaround: d/p/FELIX-5430.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 22 Jul 2017 11:18:39 +0100

jruby (9.1.8.0-1~exp3) experimental; urgency=medium

  * Allow tests failures again. This is unfortunate but the package
    is not ready for doing source only uploads and expect no failures from
    the extense test suite run at buildd nodes during build time.

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 21 Apr 2017 18:47:49 +0100

jruby (9.1.8.0-1~exp2) experimental; urgency=medium

  * Don't ignore failures from MRI tests suite.
    However, a few tests were excluded, so an additional patch was introduced:
    0010-Exclude-mri-tests-failing-in-debian.patch
  * Reintroduce B-D on locales-all.
  * Enable additional JRuby tests tasks:
    - Drop patch 0009-Bundle-psych-java-extension.patch.
    - Add dependencies on:
      + ruby-jar-dependencies
      + ruby-json (>= 2.0.1+dfsg-4~)
      + ruby-psych
    - Drop explicit dependency on libruby-2.3.
    - Add Build-Conflicts on open-infrastructure-locales-c.utf-8.
    - Simplify several d/rules targets.
    - Add more patches:
      + 0011-Disable-failed-tests-in-sbuild.patch
      + 0012-Disable-jruby-flaky-tests.patch
      + 0013-Disable-regression-flaky-tests.patch

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 17 Apr 2017 21:09:18 +0100

jruby (9.1.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
    Drop patch 0003-Disable-truffle-module.patch since is no longer needed.
  * Add dependency on libunsafe-fences-java.
  * Update versioned dependency on libjnr-posix-java to (>= 3.0.36~).
  * Remove references to truffle module since it has been removed.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Mar 2017 12:32:31 +0000

jruby (9.1.6.0-1~exp3) experimental; urgency=medium

  * Add versioned dependency on jruby-openssl (>= 0.9.17~).
  * Add dependency on ruby-jar-dependencies.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 07 Mar 2017 22:00:21 +0000

jruby (9.1.6.0-1~exp2) experimental; urgency=medium

  * Don't hard-code libyaml-snake-java version in psych stdlib module.
  * Bundle psych Java native extension:
    - Add patch 0009-Bundle-psych-java-extension.patch.
    - Add again dependency on libyaml-snake-java.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 04 Mar 2017 11:39:19 +0000

jruby (9.1.6.0-1~exp1) experimental; urgency=medium

  The "better late than never" release.

  * New upstream release. (Closes: #792150)
  * Update uploaders list.
    Thanks to Tim Potter for his effort to package 1.7.x releases.
  * Bump debhelper compat level to 10.
  * Update dependencies lists:
    - Since 9.0.0.0 release, at least java7-runtime is needed to run jruby.
    - New dependencies on:
      + libdirgra-java
      + libjitescript-java
      + libjzlib-java
      + libmaven-source-plugin-java
      + libosgi-core-java
      + libruby2.3
      + rake
      + ruby-test-unit
    - Update versioned dependencies on:
      + debhelper (>= 10~)
      + libbytelist-java (>= 1.0.13~)
      + libinvokebinder-java (>= 1.7~)
      + libjffi-java
      + libjnr-constants-java (>= 0.9.5~)
      + libjnr-ffi-java (>= 2.1.1~)
      + libjnr-netdb-java
      + libjnr-posix-java (>= 3.0.32~)
      + libjnr-unixsocket-java (>= 0.14~)
      + libjnr-x86asm-java
    - Drop explicit dependencies on:
      + bnd
      + libjgrapht0.8-java
      + libjline2-java
      + libmaven-compiler-plugin-java (>= 3.2~)
      + libmaven-install-plugin-java
      + libproperties-maven-plugin-java
      + libyaml-snake-java
      + libyecht-java (>= 1.0~)
      + locales-all
      + maven-repo-helper
      + netbase
      + ruby-minitest
      + ruby-minitest-excludes
      + yydebug
  * Refresh d/copyright file.
  * Rework all the patches, almost all of them were dropped since they
    were not necessary anymore. Also, upstream switched their build system
    to polyglot-maven, so new ones were introduced.
  * Update d/rules.
  * Update package description.
  * Update lintian overrides.
  * Drop jruby-core-noasm Maven artifact, is not provided by upstream
    anymore.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Feb 2017 16:38:10 +0000
