## jruby 9.1.17.0

=== debian/changelog ===
jruby (9.1.17.0-3build6) focal; urgency=medium

  * Rebuild against newly bootstrapped jruby/ruby-psych.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Feb 2020 03:02:50 +0100

jruby (9.1.17.0-3build5) focal; urgency=medium

  * No change rebuild against bootstrapped packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Feb 2020 19:37:17 +0100

jruby (9.1.17.0-3) unstable; urgency=medium

  * Team upload.
  * debian/patches
    - add 0017-fix-rubygem-vulnerabilities.patch to fix CVEs (Closes: #925987)
      (CVE-2019-8320 CVE-2019-8321 CVE-2019-8322 CVE-2019-8323 CVE-2019-8324
       CVE-2019-8325)

 -- Hideki Yamane <henrich@debian.org>  Wed, 29 May 2019 08:06:41 +0900

jruby (9.1.17.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Directory traversal vulnerability in install_location (CVE-2018-1000073)
    (Closes: #925986)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 01 May 2019 11:25:03 +0200

jruby (9.1.17.0-2) unstable; urgency=medium

  * Annotate the javax.annotation.Generated patch.
  * Bump the dependency on jnr-posix to 3.0.44 due to utimensat.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 10:24:15 +0100

jruby (9.1.17.0-1) unstable; urgency=medium

  * New upstream release (Closes: #893244).
  * Refresh patches.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Move source package lintian overrides to debian/source.
  * Update Vcs-* to point to Salsa.
  * Use debhelper compat level 12.
  * Bump Standards-Version to 4.3.0.
  * Depend on libmodulator-java.
  * Use javax.annotation.processing.Generated from Java SE 9
    (Closes: #917702).
  * Disable a part of the SkinnyMethodAdapter test.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 25 Feb 2019 21:38:40 +0100
