=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>
 Build-Depends: ant-optional,
-               debhelper (>= 10~),
-               default-jdk (>= 2:1.8~),
+               debhelper-compat (= 12),
+               default-jdk (>= 2:1.9~),
                jruby-openssl (>= 0.9.17~),
                junit4,
                libasm-java (>= 5.0),
@@ -23,14 +23,14 @@
                libjnr-enxio-java,
                libjnr-ffi-java (>= 2.1.1~),
                libjnr-netdb-java,
-               libjnr-posix-java (>= 3.0.36~),
+               libjnr-posix-java (>= 3.0.44~),
                libjnr-unixsocket-java (>= 0.14~),
                libjnr-x86asm-java,
                libjoda-time-java,
                libjruby-joni-java,
                libjzlib-java,
                liblivetribe-jsr223-java,
-               libmaven-assembly-plugin-java,
+               libmaven-assembly-plugin-java (>= 3.1.0~),
                libmaven-antrun-plugin-java,
                libmaven-bundle-plugin-java,
                libmaven-dependency-plugin-java,
@@ -38,6 +38,7 @@
                libmaven-invoker-plugin-java,
                libmaven-shade-plugin-java,
                libmaven-source-plugin-java,
+               libmodulator-java,
                libosgi-core-java,
                libpsych-java,
                libunsafe-fences-java,
@@ -53,14 +54,14 @@
                ruby-rspec,
                ruby-test-unit
 Build-Conflicts: open-infrastructure-locales-c.utf-8
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: http://jruby.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jruby.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jruby.git
+Vcs-Git: https://salsa.debian.org/java-team/jruby.git
+Vcs-Browser: https://salsa.debian.org/java-team/jruby
 
 Package: jruby
 Architecture: all
-Depends: default-jre | java7-runtime,
+Depends: default-jre | java9-runtime,
          ant,
          junit4,
          libasm-java (>= 5.0),
@@ -78,11 +79,12 @@
          libjnr-enxio-java,
          libjnr-ffi-java (>= 2.1.1~),
          libjnr-netdb-java,
-         libjnr-posix-java (>= 3.0.36~),
+         libjnr-posix-java (>= 3.0.44~),
          libjnr-unixsocket-java (>= 0.14~),
          libjnr-x86asm-java,
          libjruby-joni-java,
          libjzlib-java,
+         libmodulator-java,
          libosgi-core-java,
          libpsych-java,
          libunsafe-fences-java,
