## jruby 9.3.9.0+ds

=== debian/changelog ===
jruby (9.3.9.0+ds-8) unstable; urgency=medium

  * d/tests: flag jirb test as flaky
  * d/tests: exclude two more tests on armel/armhf

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 16 Jan 2023 16:08:51 -0500

jruby (9.3.9.0+ds-7) unstable; urgency=medium

  * d/control: cleanup Uploaders
  * d/tests: fix typos in test exclusions
  * d/tests: skip some failing spec-ffi tests on armhf

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 09 Jan 2023 23:20:53 -0500

jruby (9.3.9.0+ds-6) unstable; urgency=medium

  * d/tests: fix jgem test
  * d/tests: skip failing tests on armel and armhf
  * d/patches: add patch fixing intermittent test failure

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 08 Jan 2023 13:11:31 -0500

jruby (9.3.9.0+ds-5) unstable; urgency=medium

  * d/patches: use tags to exclude Etc.sysconf test failures
  * d/tests:
    + try to avoid EPIPE and timeouts on non-amd64
    + skip failing rspec and mri tests on non-amd64
    + skip pack/unpack j_spec on 32-bit arches

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 26 Dec 2022 23:14:34 -0500

jruby (9.3.9.0+ds-4) unstable; urgency=medium

  * d/tests: create writeable GEM_PATH in custom directory
  * fix package-contains-vcs-control-file lintian warning
  * add a few Lintian overrides

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 23 Dec 2022 15:58:38 -0500

jruby (9.3.9.0+ds-3) unstable; urgency=medium

  * d/jruby.links: add missing libjffi symlinks
  * d/patches: remove SC_CHILD_MAX in Etc.sysconf test
  * d/tests:
    + exclude a problematic http testcase
    + add debug_tests helper function
    + enable debug_tests in mri-stdlib

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 10 Dec 2022 14:02:13 -0500

jruby (9.3.9.0+ds-2) unstable; urgency=medium

  * d/control: add Breaks+Replaces on jruby-openssl (Closes: #1025442)
  * d/tests:
    * add JOBS=2 and CI=1 to test environment
    + fix failing tests caused by missing class
    + fix mri-stdlib test failure due to TMPDIR
    - get rid of needs-sudo
    - exclude failing testcase in mri-stdlib

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 09 Dec 2022 16:29:20 -0500

jruby (9.3.9.0+ds-1) unstable; urgency=medium

  * New upstream release incorporating security fixes for CVE-2021-31810
    CVE-2021-32066 (Closes: #895837, #1014818)
  * From this release onwards, JRuby no longer loads any C Ruby shared system
    libraries, and instead bundles a set of Ruby 2.6-compatible gems in a pair
    of orig-source tarballs. See d/README.source for details.
    (Closes: #922682, #960247)
  * Updated d/copyright for latest release and new components
  * Repacked source to exclude prebuilt Windows binaries
  * d/control:
    - Dropped C Ruby shared system libs from Build-Deps
    - Dropped jruby-openssl from Build-Deps, now bundled via orig-source gem
    - Dropped upstream deprecated Build-Deps: libbytelist-java,
      libmodulator-java, libunsafe-fences-java, libunsafe-mock-java, nailgun
    - Dropped redundant Build-Dep: libjnr-x86asm-java
    + Added minimum versions for invokebinder and jffi Build-Deps
    + Added myself to Uploaders
    + Flagged testsuite-related Build-Deps with !nocheck
    + Bumped Standards-Version to 4.6.1, no changes needed
    + Added Rules-Requires-Root: no
  * d/patches:
    - Dropped LOAD_PATH jruby patch fully
    + Rebased patches for new upstream version
    + Added several patches for testsuite fixes and workarounds
  * d/rules:
    + Added get-orig-source target to pull upstream tarball and generate
      tarballs containing the required gems
    + Added execute_before_dh_auto_configure target to install ruby gems into
      the jruby source tree prior to subsequent build and test targets, and
      replace gem-bundled jars by those shipped in Debian packages
    - Streamlined build and test targets to avoid unnecessary maven invocations
    - Scaled down testing scope to java tests during build to focus unit and
      integration testing in new autopkgtests
    + Fixed bin script shebangs not to use /usr/bin/env
    + Patched out code for loading bundled jars in readline and psych gems
    + Removed or replaced bundled fonts in documentation
  * Updated maven rules and ignoreRules, cleaned up empty mavenhelper files
  * Updated d/watch
  * Added d/upstream/metadata
  * Added autopkgtests
  * Fixed typos in manpages

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 03 Dec 2022 12:32:59 -0500

jruby (9.2.17.0-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * Add new dependencies required and replace javax.annotation-api by
    jakarta.annotation.api.
  * d/patches: Updated 0004-Add-missing-maven-artifacts-pom-files.patch with
    the next pom.xml files.
  * d/patches: Added 0018 to disable maven truezip plugin.
  * d/patches: Added 0019 to disable maven checksum plugin.
  * d/patches: Refactored 0001 into 0020 to truly disable polyglot maven.
  * d/control: remove build conflict with open-infrastructure-locales-c.utf-8,
    as it has been removed from unstable.
  * d/rules: fix where ruby2.7 libs are copied from for the testsuite.
    (Closes: #976477)
  * d/rules: remove get-orig-source target.
  * d/patches: delete 0007 and don't add /usr/lib/ruby/vendor_ruby to the
    jruby LOAD_PATH anymore. (Closes: #977979, #977981)
  * d/control: update to dh13.
  * d/patches: update 0008 to use new ruby2.7 paths.
  * d/rules: don't fail on testsuite failure, for now.

  [ Thomas Goirand ]
  * New upstream release.
    - Fixes these CVEs: CVE-2017-17742 CVE-2019-16201 CVE-2019-16254
      CVE-2019-16255 CVE-2020-25613 (Closes: #972230).
    - Fixes FTBFS (Closes: #959600).
  * Rebased 0001-Disable-polyglot-maven-extension.patch.
  * Refreshed:
    - 0002-Disable-unpackaged-plugins-in-lib-module.patch.
    - 0005-Disable-jnr-ffi-native-usage.patch.
  * Rebased: 0007-Add-usr-lib-ruby-vendor-ruby-to-load-path.patch.
  * Disabled: 0010-Exclude-mri-tests-failing-in-debian.patch.
  * Rebased: 0011-Disable-failed-tests-in-sbuild.patch.

