=== debian/tests/control ===
Tests: smoke
Restrictions: superficial

Tests: jgem
Depends:
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: needs-internet

Tests: jirb
Depends:
 expect,
 @,
Restrictions: flaky

Tests: jruby
Depends:
 ant,
 build-essential,
 default-jdk-headless,
 junit4,
 libjakarta-annotation-api-java,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: spec-compiler
Depends:
 ant,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: spec-ffi
Depends:
 ant,
 build-essential,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: spec-ji
Depends:
 ant,
 default-jdk-headless,
 junit4,
 libjakarta-annotation-api-java,
 libjarjar-java,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 zip,
 @,
Restrictions: allow-stderr

Tests: spec-jruby
Depends:
 ant,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: spec-ruby
Depends:
 ant,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: mri-core
Depends:
 ant,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: mri-extra
Depends:
 ant,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr

Tests: mri-stdlib
Depends:
 ant,
 rake,
 ruby-diff-lcs,
 ruby-minitest,
 ruby-power-assert,
 ruby-rspec,
 ruby-test-unit,
 @,
Restrictions: allow-stderr
