## jruby 9.4.3.0+ds

=== debian/changelog ===
jruby (9.4.3.0+ds-1~exp2) experimental; urgency=medium

  * d/tests:
    + fix libfixposix symlink on i386
    + skip failing arm64 tests (#1058703)
    + work around test errors
    + document File.utime() failures on s390x
    + exclude flaky mri-core test
    + skip failing utime-related tests on arm
    + save java properties in artifacts
    - drop ipv6 workaround, not working

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 20 Dec 2023 10:07:17 -0500

jruby (9.4.3.0+ds-1~exp1) experimental; urgency=medium

  * New upstream version 9.4.3.0+ds (Closes: #1036283, #1042129)
    - includes fixes for CVE-2023-28755 and CVE-2023-28756
  * build with polyglot-ruby and mavengem plugin
  * keep bundled bouncycastle-1.71 jar in package
  * switch to snakeyaml-engine for pysch 5.1
  * don't ship jruby-stdlib and jruby-complete anymore
  * d/copyright: update for new upstream release
  * d/control:
    + add new libfixposix4 binary dependency
    + add copy-rename-maven-plugin to build-deps
    + bump Standards-Version, no changes needed
    + run wrap-and-sort -bastk
  * d/patches:
    + rebase patches for new upstream version
    + add patch to omit bundled gems from build
    + re-enable JarResourceTest with workaround
    + fix gems path in lib/pom.rb
    + patch stdlib gems to load jars from usj
    + patch io-console to load on all platforms
    - drop mri test patch, merged upstream
  * d/tests:
    + add rexml for new test in jruby set
    + don't run chroot specs even if root
    + fix test exclusion missing trailing newline
    + improve adding mri exclusions
    + fix jirb expect-based test
    + skip some tests failing if ipv6 is absent
    + exclude two unreliable mri-core tests
    + exclude flaky mri-stdlib test in salsa
    - mark jrib test as no longer flaky
    - pack/unpack tests on 32-bit fixed upstream
  * d/rules:
    + use jruby.dirs to create usj/jruby/lib/jni
    + ship SourceCodePro font in package
    + improve dh_auto_clean target
    - rework override_dh_prep stanza
  * d/gbp.conf: add rubygems component to export
  * d/salsa-ci.yml: build and run autopkgtests in salsa
  * various lintian fixes / overrides

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 08 Dec 2023 14:41:18 -0500
