=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Depends:
  expect,
  @,
-Restrictions: flaky
 
 Tests: jruby
 Depends:
