## jruby 9.4.6.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jruby
 Section: ruby
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Jérôme Charaoui <jerome@riseup.net>,
@@ -13,12 +14,9 @@
  junit4 <!nocheck>,
  libasm-java,
  libbackport9-java,
- libbcpkix-java (>= 1.71),
- libbcprov-java (>= 1.71),
- libbctls-java (>= 1.71),
- libbcutil-java (>= 1.71),
  libbsf-java,
  libbuild-helper-maven-plugin-java,
+ libcopy-rename-maven-plugin-java,
  libdirgra-java,
  libheadius-options-java,
  libinvokebinder-java (>= 1.12),
@@ -35,21 +33,24 @@
  libjnr-unixsocket-java,
  libjoda-time-java,
  libjruby-joni-java,
- libjzlib-java,
+ libjruby-maven-plugin-java (>= 3.0.1),
+ libjruby-mavengem-maven-plugin-java,
+ libjzlib-java (>= 1.1.3-3),
  libmaven-antrun-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-bundle-plugin-java,
+ libmaven-clean-plugin-java,
  libmaven-dependency-plugin-java,
  libmaven-exec-plugin-java,
  libmaven-invoker-plugin-java,
  libmaven-shade-plugin-java,
  libmaven-source-plugin-java,
  libosgi-core-java,
- libyaml-snake-java (>= 1.33),
+ libtakari-polyglot-ruby-java (>= 0.4.11-2),
  locales-all,
  maven-debian-helper,
- ruby-rubygems,
-Standards-Version: 4.6.1
+ quilt,
+Standards-Version: 4.6.2
 Homepage: http://jruby.org/
 Vcs-Git: https://salsa.debian.org/java-team/jruby.git
 Vcs-Browser: https://salsa.debian.org/java-team/jruby
@@ -59,20 +60,35 @@
 Architecture: all
 Depends:
  default-jre-headless,
- libbcpkix-java (>= 1.71),
- libbcprov-java (>= 1.71),
- libbctls-java (>= 1.71),
- libbcutil-java (>= 1.71),
+ libasm-java (>= 9.5),
+ libbackport9-java (>= 1.10),
+ libdirgra-java,
+ libfixposix4t64,
+ libheadius-options-java (>= 1.4),
+ libinvokebinder-java (>= 1.13),
  libjansi1-java,
- libjffi-jni (>= 1.3.9),
+ libjcodings-java (>= 1.0.58),
+ libjffi-java (>= 1.3.11),
+ libjffi-jni (>= 1.3.11),
+ libjitescript-java,
  libjline2-java (>= 2.14.6),
- libyaml-snake-java (>= 1.33),
+ libjnr-constants-java (>= 0.10.4),
+ libjnr-enxio-java (>= 0.32.13),
+ libjnr-ffi-java (>= 2.2.13),
+ libjnr-netdb-java (>= 1.1.6),
+ libjnr-posix-java (>= 3.1.10),
+ libjnr-unixsocket-java (>= 0.18),
+ libjoda-time-java (>= 2.10.14),
+ libjruby-joni-java,
+ libjzlib-java (>= 1.1.3-3),
+ libsnakeyaml-engine-java,
  ${misc:Depends},
- ${maven:Depends},
 Recommends:
-  fonts-lato,
-Breaks: jruby-openssl
-Replaces: jruby-openssl
+ fonts-lato,
+Breaks:
+ jruby-openssl,
+Replaces:
+ jruby-openssl,
 Description: 100% pure-Java implementation of Ruby
  JRuby is an implementation of the ruby language using the JVM.
  .
